<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'jobunit',

    /*
     * Modules.
     */
    'modules'   => ['jobunit'],

    
    'jobunit'       => [
        'model' => [
            'model'                 => \Hrm\Jobunit\Models\Jobunit::class,
            'table'                 => 'jobunits',
            'presenter'             => \Hrm\Jobunit\Repositories\Presenter\JobunitPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'client_id',  'unit_id',  'job_id',  'c_week_days',  'c_night_time',  'c_friday_night',  'c_saturday_day',  'c_saturday_night',  'c_sunday_day',  'c_sunday_night',  'c_holiday_day',  'c_holiday_night',  'employment_type',  's_week_days',  's_night_time',  's_friday_night',  's_saturday_day',  's_saturday_night',  's_sunday_day',  's_sunday_night',  's_holiday_day',  's_holiday_night',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'jobunit/jobunit',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Jobunit',
            'module'    => 'Jobunit',
        ],

    ],
];
