Lavalite package that provides jobunit management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/jobunit`.

    "hrm/jobunit": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Jobunit\Providers\JobunitServiceProvider::class,

And also add it to alias

    'Jobunit'  => Hrm\Jobunit\Facades\Jobunit::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\JobunitTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Jobunit\Providers\JobunitServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Jobunit\Providers\JobunitServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Jobunit\Providers\JobunitServiceProvider" --tag="view"


## Usage


