<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for jobunit in jobunit package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  jobunit module in jobunit package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Jobunit',
    'names'         => 'Jobunits',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Jobunits',
        'sub'   => 'Jobunits',
        'list'  => 'List of jobunits',
        'edit'  => 'Edit jobunit',
        'create'    => 'Create new jobunit'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'client_id'                  => 'Please enter client id',
        'unit_id'                    => 'Please enter unit id',
        'job_id'                     => 'Please enter job id',
        'c_week_days'                => 'Please enter c week days',
        'c_night_time'               => 'Please enter c night time',
        'c_friday_night'             => 'Please enter c friday night',
        'c_saturday_day'             => 'Please enter c saturday day',
        'c_saturday_night'           => 'Please enter c saturday night',
        'c_sunday_day'               => 'Please enter c sunday day',
        'c_sunday_night'             => 'Please enter c sunday night',
        'c_holiday_day'              => 'Please enter c holiday day',
        'c_holiday_night'            => 'Please enter c holiday night',
        'employment_type'            => 'Please enter employment type',
        's_week_days'                => 'Please enter s week days',
        's_night_time'               => 'Please enter s night time',
        's_friday_night'             => 'Please enter s friday night',
        's_saturday_day'             => 'Please enter s saturday day',
        's_saturday_night'           => 'Please enter s saturday night',
        's_sunday_day'               => 'Please enter s sunday day',
        's_sunday_night'             => 'Please enter s sunday night',
        's_holiday_day'              => 'Please enter s holiday day',
        's_holiday_night'            => 'Please enter s holiday night',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'client_id'                  => 'Client id',
        'unit_id'                    => 'Unit id',
        'job_id'                     => 'Job id',
        'c_week_days'                => 'C week days',
        'c_night_time'               => 'C night time',
        'c_friday_night'             => 'C friday night',
        'c_saturday_day'             => 'C saturday day',
        'c_saturday_night'           => 'C saturday night',
        'c_sunday_day'               => 'C sunday day',
        'c_sunday_night'             => 'C sunday night',
        'c_holiday_day'              => 'C holiday day',
        'c_holiday_night'            => 'C holiday night',
        'employment_type'            => 'Employment type',
        's_week_days'                => 'S week days',
        's_night_time'               => 'S night time',
        's_friday_night'             => 'S friday night',
        's_saturday_day'             => 'S saturday day',
        's_saturday_night'           => 'S saturday night',
        's_sunday_day'               => 'S sunday day',
        's_sunday_night'             => 'S sunday night',
        's_holiday_day'              => 'S holiday day',
        's_holiday_night'            => 'S holiday night',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'client_id'                  => ['name' => 'Client id', 'data-column' => 1, 'checked'],
        'unit_id'                    => ['name' => 'Unit id', 'data-column' => 2, 'checked'],
        'job_id'                     => ['name' => 'Job id', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Jobunits',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
