<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJobunitsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobunits
         */
        Schema::create('jobunits', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('unit_id')->nullable();
            $table->integer('job_id')->nullable();
            $table->float('c_week_days')->nullable();
            $table->float('c_night_time')->nullable();
            $table->float('c_friday_night')->nullable();
            $table->float('c_saturday_day')->nullable();
            $table->float('c_saturday_night')->nullable();
            $table->float('c_sunday_day')->nullable();
            $table->float('c_sunday_night')->nullable();
            $table->float('c_holiday_day')->nullable();
            $table->float('c_holiday_night')->nullable();
            $table->integer('employment_type')->nullable();
            $table->float('s_week_days')->nullable();
            $table->float('s_night_time')->nullable();
            $table->float('s_friday_night')->nullable();
            $table->float('s_saturday_day')->nullable();
            $table->float('s_saturday_night')->nullable();
            $table->float('s_sunday_day')->nullable();
            $table->float('s_sunday_night')->nullable();
            $table->float('s_holiday_day')->nullable();
            $table->float('s_holiday_night')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobunits');
    }
}
