<?php

namespace Hrm\Jobunit\Repositories\Eloquent;

use Hrm\Jobunit\Interfaces\JobunitRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class JobunitRepository extends BaseRepository implements JobunitRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('hrm.jobunit.jobunit.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('hrm.jobunit.jobunit.model.model');
    }
}
